*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    background-color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    height:100vh;

}

#game-board {
    --cell-size:20vmin;
    --cell-gap:2vmin;
    position: relative;
    display: grid;
    grid-template-columns: repeat(4, var(--cell-size));
    grid-template-rows: repeat(4, var(--cell-size));
    gap: var(--cell-gap);
    border-radius: 1vmin;

}
.cell {
background-color: #444;
    border-radius: 1vmin;
}




.tile{
    --y:0;
    --x:0;
    position: absolute;
    top:calc(var(--y) * (var(--cell-size) + var(--cell-gap)));
    left:calc(var(--x) * (var(--cell-size) + var(--cell-gap)));
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20vmin;
    height: 20vmin;
    border-radius: 1vmin;
    font-family: Arial;
    font-size: 7.5vmin;
    font-weight: bold;
    background-color: hsl(25,60%,var(--bg-lightness));
    color: hsl(20,25%,var(--text-lightness));
    transition: 100ms;
    animation: show 200ms;
}
@keyframes  show {
    0%{
        opacity: 0.5;
        transform: scale(0);
    }
}

